.TH wxGraphicsContext 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxGraphicsContext \- See external documentation: wxGraphicsContext\&.
.SH DESCRIPTION
.LP
See external documentation: wxGraphicsContext <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxGraphicsObject 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxGraphicsContext()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
create() -> wxGraphicsContext()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextcreate>\&.
.RE
.LP
.B
create(Dc::wxWindowDC() (see module wxWindowDC) | wxWindow() (see module wxWindow)) -> wxGraphicsContext()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextcreate>\&.
.RE
.LP
.B
createPen(This::wxGraphicsContext(), Pen::wxPen() (see module wxPen)) -> wxGraphicsPen() (see module wxGraphicsPen)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextcreatepen>\&.
.RE
.LP
.B
createBrush(This::wxGraphicsContext(), Brush::wxBrush() (see module wxBrush)) -> wxGraphicsBrush() (see module wxGraphicsBrush)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextcreatebrush>\&.
.RE
.LP
.B
createRadialGradientBrush(This::wxGraphicsContext(), Xo::float(), Yo::float(), Xc::float(), Yc::float(), Radius::float(), OColor::colour() (see module wx), CColor::colour() (see module wx)) -> wxGraphicsBrush() (see module wxGraphicsBrush)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextcreateradialgradientbrush>\&.
.RE
.LP
.B
createLinearGradientBrush(This::wxGraphicsContext(), X1::float(), Y1::float(), X2::float(), Y2::float(), C1::colour() (see module wx), C2::colour() (see module wx)) -> wxGraphicsBrush() (see module wxGraphicsBrush)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextcreatelineargradientbrush>\&.
.RE
.LP
.B
createFont(This::wxGraphicsContext(), Font::wxFont() (see module wxFont)) -> wxGraphicsFont() (see module wxGraphicsFont)
.br
.RS
.LP
Equivalent to createFont(This, Font, [])\&.
.RE
.LP
.B
createFont(This::wxGraphicsContext(), Font::wxFont() (see module wxFont), Options::[Option]) -> wxGraphicsFont() (see module wxGraphicsFont)
.br
.RS
.TP
Types
Option = {col, colour() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextcreatefont>\&.
.RE
.LP
.B
createMatrix(This::wxGraphicsContext()) -> wxGraphicsMatrix() (see module wxGraphicsMatrix)
.br
.RS
.LP
Equivalent to createMatrix(This, [])\&.
.RE
.LP
.B
createMatrix(This::wxGraphicsContext(), Options::[Option]) -> wxGraphicsMatrix() (see module wxGraphicsMatrix)
.br
.RS
.TP
Types
Option = {a, float()} | {b, float()} | {c, float()} | {d, float()} | {tx, float()} | {ty, float()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextcreatematrix>\&.
.RE
.LP
.B
createPath(This::wxGraphicsContext()) -> wxGraphicsPath() (see module wxGraphicsPath)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextcreatepath>\&.
.RE
.LP
.B
clip(This::wxGraphicsContext(), Region::wxRegion() (see module wxRegion)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextclip>\&.
.RE
.LP
.B
clip(This::wxGraphicsContext(), X::float(), Y::float(), W::float(), H::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextclip>\&.
.RE
.LP
.B
resetClip(This::wxGraphicsContext()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextresetclip>\&.
.RE
.LP
.B
drawBitmap(This::wxGraphicsContext(), Bmp::wxBitmap() (see module wxBitmap), X::float(), Y::float(), W::float(), H::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextdrawbitmap>\&.
.RE
.LP
.B
drawEllipse(This::wxGraphicsContext(), X::float(), Y::float(), W::float(), H::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextdrawellipse>\&.
.RE
.LP
.B
drawIcon(This::wxGraphicsContext(), Icon::wxIcon() (see module wxIcon), X::float(), Y::float(), W::float(), H::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextdrawicon>\&.
.RE
.LP
.B
drawLines(This::wxGraphicsContext(), N::integer(), Points::{X::float(), Y::float()}) -> ok
.br
.RS
.LP
Equivalent to drawLines(This, N, Points, [])\&.
.RE
.LP
.B
drawLines(This::wxGraphicsContext(), N::integer(), Points::{X::float(), Y::float()}, Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {fillStyle, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextdrawlines>\&.
.RE
.LP
.B
drawPath(This::wxGraphicsContext(), Path::wxGraphicsPath() (see module wxGraphicsPath)) -> ok
.br
.RS
.LP
Equivalent to drawPath(This, Path, [])\&.
.RE
.LP
.B
drawPath(This::wxGraphicsContext(), Path::wxGraphicsPath() (see module wxGraphicsPath), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {fillStyle, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextdrawpath>\&.
.RE
.LP
.B
drawRectangle(This::wxGraphicsContext(), X::float(), Y::float(), W::float(), H::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextdrawrectangle>\&.
.RE
.LP
.B
drawRoundedRectangle(This::wxGraphicsContext(), X::float(), Y::float(), W::float(), H::float(), Radius::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextdrawroundedrectangle>\&.
.RE
.LP
.B
drawText(This::wxGraphicsContext(), Str::string(), X::float(), Y::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextdrawtext>\&.
.RE
.LP
.B
drawText(This::wxGraphicsContext(), Str::string(), X::float(), Y::float(), X::float() | term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextdrawtext>\&. 
.br
 Alternatives: 
.LP
\fI drawText(This::wxGraphicsContext(), Str::string(), X::float(), Y::float(), Angle::float()) -> ok \fR 
.LP
\fI drawText(This::wxGraphicsContext(), Str::string(), X::float(), Y::float(), BackgroundBrush::wxGraphicsBrush:wxGraphicsBrush()) -> ok \fR 
.RE
.LP
.B
drawText(This::wxGraphicsContext(), Str::string(), X::float(), Y::float(), Angle::float(), BackgroundBrush::wxGraphicsBrush() (see module wxGraphicsBrush)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextdrawtext>\&.
.RE
.LP
.B
fillPath(This::wxGraphicsContext(), Path::wxGraphicsPath() (see module wxGraphicsPath)) -> ok
.br
.RS
.LP
Equivalent to fillPath(This, Path, [])\&.
.RE
.LP
.B
fillPath(This::wxGraphicsContext(), Path::wxGraphicsPath() (see module wxGraphicsPath), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {fillStyle, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextfillpath>\&.
.RE
.LP
.B
strokePath(This::wxGraphicsContext(), Path::wxGraphicsPath() (see module wxGraphicsPath)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextstrokepath>\&.
.RE
.LP
.B
getNativeContext(This::wxGraphicsContext()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextgetnativecontext>\&.
.RE
.LP
.B
getPartialTextExtents(This::wxGraphicsContext(), Text::string(), Widths::[float()]) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextgetpartialtextextents>\&.
.RE
.LP
.B
getTextExtent(This::wxGraphicsContext(), Text::string()) -> {Width::float(), Height::float(), Descent::float(), ExternalLeading::float()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextgettextextent>\&.
.RE
.LP
.B
rotate(This::wxGraphicsContext(), Angle::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextrotate>\&.
.RE
.LP
.B
scale(This::wxGraphicsContext(), XScale::float(), YScale::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextscale>\&.
.RE
.LP
.B
translate(This::wxGraphicsContext(), Dx::float(), Dy::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontexttranslate>\&.
.RE
.LP
.B
getTransform(This::wxGraphicsContext()) -> wxGraphicsMatrix() (see module wxGraphicsMatrix)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextgettransform>\&.
.RE
.LP
.B
setTransform(This::wxGraphicsContext(), Matrix::wxGraphicsMatrix() (see module wxGraphicsMatrix)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextsettransform>\&.
.RE
.LP
.B
concatTransform(This::wxGraphicsContext(), Matrix::wxGraphicsMatrix() (see module wxGraphicsMatrix)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextconcattransform>\&.
.RE
.LP
.B
setBrush(This::wxGraphicsContext(), Brush::wxGraphicsBrush() (see module wxGraphicsBrush) | wxBrush() (see module wxBrush)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextsetbrush>\&.
.RE
.LP
.B
setFont(This::wxGraphicsContext(), Font::wxGraphicsFont() (see module wxGraphicsFont)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextsetfont>\&.
.RE
.LP
.B
setFont(This::wxGraphicsContext(), Font::wxFont() (see module wxFont), Colour::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextsetfont>\&.
.RE
.LP
.B
setPen(This::wxGraphicsContext(), Pen::wxPen() (see module wxPen) | wxGraphicsPen() (see module wxGraphicsPen)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextsetpen>\&.
.RE
.LP
.B
strokeLine(This::wxGraphicsContext(), X1::float(), Y1::float(), X2::float(), Y2::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextstrokeline>\&.
.RE
.LP
.B
strokeLines(This::wxGraphicsContext(), N::integer(), Points::{X::float(), Y::float()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextstrokelines>\&.
.RE
.LP
.B
strokeLines(This::wxGraphicsContext(), N::integer(), BeginPoints::{X::float(), Y::float()}, EndPoints::{X::float(), Y::float()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgraphicscontext\&.html#wxgraphicscontextstrokelines>\&.
.RE
